Bug 535222 - (RHQ-1941) Timeslices not perfectly proportional across very long time ranges.
Timeslices not perfectly proportional across very long time ranges.
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: SubBug
Depends On:
Blocks: rhq_triage jon3
  Show dependency treegraph
Reported: 2009-04-06 22:38 EDT by Corey Welton
Modified: 2014-05-02 13:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-02 13:50:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2009-04-06 22:38:00 EDT
1. Assure you've got a platform in inventory that has been inventoried/actively monitored for a few days.
2. Somewhere along the line -- maybe shortly after inventorying the platform --  go to Monitor > Graphs for this platform and change "Metric Display Range: Last :" to 120 Days
3. After you've got a few days of data, return to Monitor > Graphs
4. You should see a bunch of gray dots for those dates where the platform had not been monitored.  Hover over most of these, note the date and time
5. Scan over to the last 3-4 dots that are red/green according to the collected data.

Current results:
The gray dots show a time that is equivalent to (current time  - n(days)).
The red/green dots show different times.

Expected results:
Proportional/consistent timeslices.

Other notes:
Oddly, the first time I did this, all but the second to last dot showed the correct time.  When I changed the time range, and then returned it to 120 days, none of the days for which data was collected show the correct time.

[22:16] <joseph> yeah, the red one seems to be off
[22:16] <joseph> the correct logic would probably be to show timestamps as perfect dissections of the total 
                 display rnage

Comment 1 Red Hat Bugzilla 2009-11-10 15:49:57 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1941
Comment 2 wes hayutin 2010-02-16 11:56:02 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:01:11 EST
making sure we're not missing any bugs in rhq_triage

Note You need to log in before you can comment on or make changes to this bug.